Bug 241534 - System hangs, ata_piix and libata related (continuous port soft reset)
Summary: System hangs, ata_piix and libata related (continuous port soft reset)
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-05-27 14:27 UTC by Marco Matarazzo
Modified: 2008-02-08 04:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 04:27:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output. (28.35 KB, text/plain)
2007-05-27 14:29 UTC, Marco Matarazzo
no flags Details
lspci -vvvv output (21.34 KB, text/plain)
2007-05-27 14:29 UTC, Marco Matarazzo
no flags Details

Description Marco Matarazzo 2007-05-27 14:27:27 UTC
Description of problem:

My system is an ACER Aspire 9424WSMi, equipped with a Intel ICH "IDE" mode
controller, a SATA HD and a PATA DVDRW. 

I boot with "combined_mode=libata" parameter. Booting without it make system
respond so slow that almost 30 minutes are needed just to boot up.

When accessing disk (a.k.a. using the laptop to do anything useful) the system
repeatedly hangs for 30 seconds and then restart.

Having a CD inside the DVDRW _seems_ to make it happen pretty less.

Version-Release number of selected component (if applicable):

Fedora core 6.

How reproducible:

Install a Fedora Core 6 on an Aspire 9424WSMi, boot with "combined_mode=libata"
and do anything with your laptop.

Additional info:

Here it is the same problem happening on Ubuntu:

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.15/+bug/53754

Comment 1 Marco Matarazzo 2007-05-27 14:29:16 UTC
Created attachment 155521 [details]
dmesg output.

Comment 2 Marco Matarazzo 2007-05-27 14:29:44 UTC
Created attachment 155522 [details]
lspci -vvvv output

Comment 3 Chuck Ebbert 2007-05-30 20:36:15 UTC
System should have a setting for enhanced mode (AHCI). If possible, try that.

Comment 4 Marco Matarazzo 2007-05-31 12:01:16 UTC
Already looked for that. 

There ain't any options regarding AHCI. In fact, there ain't any options
regarding anything apart the strictly necessary like the boot order and the time
and date.

It's a good BIOS, uh? :-(


Comment 5 Chuck Ebbert 2007-06-22 19:44:08 UTC
combined_mode=ide should be used, AFAICT

Looks like it's not setting the max speed properly with the ata driver.

Comment 6 Jon Stanley 2008-01-08 01:54:26 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 7 Jon Stanley 2008-02-08 04:27:33 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.